<template>
  <div>{{ pageNumber }}</div>
</template>

<script setup>
import { computed } from 'vue'
import { useDocumentStore } from '@/stores/modules/document'

const { pageNumber } = defineProps({
  pageNumber: String
})

const useDocument = useDocumentStore()

const annotations = computed(() => useDocument.getAnnotations(pageNumber))
</script>
